首页 新闻 搜索 专区 学院

centOS6.4安装python3.5.1后yum不能使用

0
悬赏园豆:15 [待解决问题]

百度了说升级了Python就会出现这个情况,但按照那些步骤做了还是解决不了

Fighting蔚的主页 Fighting蔚 | 初学一级 | 园豆:2
提问于:2016-02-16 18:46
< >
分享
所有回答(2)
1

yum是依赖python的,是否是某些函数有问题,手工改下就行

2012 | 园豆:19634 (专家六级) | 2016-02-17 08:55
1

因为自己是覆盖掉了/usr/bin/python, 只能重装系统,再安装python之前,先把/usr/bin/python备份为python2.6,再修改文件 /usr/bin/yum: 第一行的 #!/usr/bin/python 改为 #!/usr/bin/python2.6,再升级python

Fighting蔚 | 园豆:2 (初学一级) | 2016-02-28 23:01
清除回答草稿
   您需要登录以后才能回答,未注册用户请先注册